# Get a session

Section: Your data › Recruitment tracker › Sessions

```
GET https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId
```

Gets a session.

**Parameters**

- `accountId` (path): The recruitment account id.
- `sessionId` (path): The session id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `accountId` |  |
| `sessionId` |  |

## Example responses

### 200 OK

```json
{
  "data": {
    "id": "m97av0zgt5v6bbmt5ny2pgq1w98h4g6q",
    "createdAt": "2026-10-28T11:32:05.383Z",
    "name": "Racing HifuAzu",
    "computedStats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "date": 1793186803513,
    "isFestBanner": false,
    "isLatest": true,
    "kind": "limited",
    "limitedPulls": 153,
    "limitedStartCharge": 8,
    "permanentPulls": 0,
    "permanentStartCharge": 0,
    "pickupsObtained": [
      {
        "studentId": "hifumi_racing",
        "charge": 100,
        "kind": "limited"
      },
      {
        "studentId": "azusa_racing",
        "charge": 58,
        "kind": "limited"
      }
    ],
    "rebateTicketsFromPreviousSession": 0,
    "rebateTicketsUsed": 2,
    "recruitmentAccountId": "m575f032hbdgstqydc8qbfx4318d039r",
    "startCharge": 8,
    "stats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "threeStarCount": 4,
    "totalPulls": 153
  }
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
